org.eclipse.jetty.annotations

## Interface AnnotationParser.DiscoverableAnnotationHandler

- All Known Implementing Classes:
    AbstractDiscoverableAnnotationHandler
  Enclosing class:
    AnnotationParser

      public static interface AnnotationParser.DiscoverableAnnotationHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleClass(java.lang.String className, int version, int access, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
    `void` | `handleField(java.lang.String className, java.lang.String fieldName, int access, java.lang.String fieldType, java.lang.String signature, java.lang.Object value, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
    `void` | `handleMethod(java.lang.String className, java.lang.String methodName, int access, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`

- - ### Method Detail

    - #### handleClass

          void handleClass(java.lang.String className,
                         int version,
                         int access,
                         java.lang.String signature,
                         java.lang.String superName,
                         java.lang.String[] interfaces,
                         java.lang.String annotation,
                         java.util.List<AnnotationParser.Value> values)

    - #### handleMethod

          void handleMethod(java.lang.String className,
                          java.lang.String methodName,
                          int access,
                          java.lang.String desc,
                          java.lang.String signature,
                          java.lang.String[] exceptions,
                          java.lang.String annotation,
                          java.util.List<AnnotationParser.Value> values)

    - #### handleField

          void handleField(java.lang.String className,
                         java.lang.String fieldName,
                         int access,
                         java.lang.String fieldType,
                         java.lang.String signature,
                         java.lang.Object value,
                         java.lang.String annotation,
                         java.util.List<AnnotationParser.Value> values)

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.